/****************************************************************************************************************************
**                                                                                                                         **
**                 Copyright (C) 1999 by Punk Productions Electronic Entertainment. All Rights Reserved.                   ** 
**                                                                                                                         **
**        Purpose: Everyone out there should be able to load different Imagefileformats...                                 **
**     Programmer: Nikolaus Brennig, 18, (Nikolaus.Brennig@nol.at)                                                         **
**                 Original ImageLoaderDLL coded by K. Nishita in 1997. I Only used it and created a simple DDloader       **
**                 for it. If you look in the code, its rather easy to use the Loadroutines for standard Win32Apps,        **
**                 since the Data is blitted to a DC, so do what you want with this code.                                  **
**                                                                                                                         **
**                 WARNING: If you want to use this code in a commercial product (game or whatever) you will have          **
**                 to send us ( Nishita and me, nick ) a free and full functional copy of it. Yep, thats business ;-)      **
**                 If you want to use this code only for learning or simply non-commercial use, simply send us an email    **
**                 cause for sure we want to know who out there uses this code...                                          **
**                                                                                                                         **
**                 You can contact us:       Nick: virtualnik@nol.at, http://cust.nol.at/ppee                              **
**                                     K. Nishita: knishita@ibm.net, http://freeware.freeservers.com                       **
**                                                                                                                         **
**                 Ok, thats all for now, so have fun with loading images ;-)                                              **
**                                                                                                                         **
**     Day created: January 12th, 1999                                                                                     **
**                                                                                                                         **
****************************************************************************************************************************/

#ifdef __cplusplus
extern "C" { 
#endif  /* __cplusplus */

// DLL functions. Call them at startup and shut down of the app...
void InitImageViewerDLL();
void ReleaseImageViewerDLL();

// Imagefunctions...
LPDIRECTDRAWSURFACE ReadImage( LPDIRECTDRAW pdd, char *Filename, int dx, int dy );
void               RestoreImage( LPDIRECTDRAWSURFACE pdds, char *Filename );
DWORD               GetColorMatch( LPDIRECTDRAWSURFACE pdds, COLORREF rgb );
HRESULT             MakeColorKey( LPDIRECTDRAWSURFACE pdds, COLORREF rgb );


#ifdef __cplusplus
}
#endif  /* __cplusplus */

